Bug 138478 - sysutils/bacula-client must include option to build static version of bacula-fd binary
Summary: sysutils/bacula-client must include option to build static version of bacula-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-02 12:50 UTC by Oleg Gawriloff
Modified: 2009-10-11 14:40 UTC (History)
0 users

See Also:


Attachments
patch-bacula-client.txt (414 bytes, patch)
2009-09-03 06:59 UTC, Chris Petrik
no flags Details | Diff
patch-bacula-server.txt (2.10 KB, patch)
2009-09-03 06:59 UTC, Chris Petrik
no flags Details | Diff
pkg-plist.static.txt (222 bytes, text/plain)
2009-09-03 07:20 UTC, Chris Petrik
no flags Details
patch-bacula.diff (2.96 KB, patch)
2009-09-03 17:00 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Gawriloff 2009-09-02 12:50:04 UTC
As stated in http://bacula.org/manuals/en/concepts/concepts/Disast_Recove_Using_Bacula.html#SECTION0026110000000000000000 and http://bacula.org/manuals/en/concepts/concepts/Disast_Recove_Using_Bacula.html#SECTION002670050000000000000 when there is a need for disaster recovery there should be option to build bacula-client as static binary.

Gentoo users have this option:
barzog@falcon-cl2 ~ $ equery uses bacula
 - - static            : !!do not set this during bootstrap!! Causes binaries to be statically linked instead of dynamically

so should we.
Comment 1 Edwin Groothuis freebsd_committer 2009-09-02 12:50:16 UTC
Maintainer of sysutils/bacula-client,

Please note that PR ports/138478 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138478

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-02 12:50:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2009-09-03 00:54:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Chris Petrik 2009-09-03 06:59:25 UTC
Hello,

First attempt at a patch,

Please don't laugh that hard ;/
Comment 5 Chris Petrik 2009-09-03 07:20:01 UTC
forgot one file.
Comment 6 Chris Petrik 2009-09-03 17:00:33 UTC
As per request.
Comment 7 dfilter service freebsd_committer 2009-10-11 14:36:22 UTC
wxs         2009-10-11 13:36:08 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server Makefile pkg-plist.client 
  Log:
  - Add an option to build a static fd binary (off by default).
  
  PR:             ports/138478
  Submitted by:   Oleg Gawriloff <barzog@telecom.by>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.120     +9 -1      ports/sysutils/bacula-server/Makefile
  1.9       +1 -0      ports/sysutils/bacula-server/pkg-plist.client
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wesley Shields freebsd_committer 2009-10-11 14:36:34 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!